#
# spec file for package p54 (Version 20070806)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# nodebuginfo
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv kernel-source kernel-syms less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt rpm sed sysvinit tar texinfo timezone util-linux zlib


Name:           p54
BuildRequires:  kernel-source kernel-syms module-init-tools
Summary:        Kernel Module for Prism GT USB adapters
Version:        20070806
Release:        2.1
Group:          System/Kernel
License:        GPL v2 only
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://prism54.org/
AutoReqProv:    on
Source:         p54-%{version}.tar.bz2
Source100:      preamble
ExclusiveArch:  %ix86 x86_64 ppc ppc64
%suse_kernel_module_package -n p54 -p %_sourcedir/preamble kdump um

%description
This package contains a driver for wireless LAN USB adapters based on
Prism GT chips.



Authors:
--------
    Michael Wu <flamingice@sourmilk.net>

%package -n p54-KMP
Group:          System/Kernel
License:        GPL v2 only
Summary:        Kernel Module for Prism GT USB adapters

%description -n p54-KMP
This package contains a driver for wireless LAN USB adapters based on
Prism GT chips.



Authors:
--------
    Michael Wu <flamingice@sourmilk.net>

%prep
%setup -n p54

%build
cd ..
mkdir obj
for flavor in %flavors_to_build; do
  rm -rf obj/$flavor
  cp -r p54 obj/$flavor
  make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
        M=$PWD/obj/$flavor/$i
done

%install
cd ..
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
	M=$PWD/obj/$flavor
done

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Aug 23 2007 - jg@suse.de
- enabled p54 PCI driver (bug #300798)
* Mon Aug 06 2007 - jg@suse.de
- initial version
- build only USB driver, give preference to old prism54 in-kernel
  driver
